# Project naming standards

<table><thead><tr><th width="138">Check ID</th><th>APP_0013</th></tr></thead><tbody><tr><td>Category</td><td>Standards</td></tr><tr><td>Summary</td><td>This check will compare the name of your project elements to the naming standards you set. By default the Mendix Best Practices for Developers are used. </td></tr><tr><td>Options</td><td>This is a complex check that has many different options. See the tables below for all available options. In all cases where a name format is specified the following configuration options apply:<br><br>- Use a regex in the format supported by the Mendix isMatch() string function.<br>- In some cases (described in the table below) additional variables may be used such as %UserRole%, %EntityName%, %AttributeName%, etc.<br>- In all cases where a regex is used as an option, if you leave it empty the check will be ignored.</td></tr><tr><td>Pass</td><td>The name of the element matches your standard.</td></tr><tr><td>Fail</td><td>The name of the element does not match your standard.</td></tr></tbody></table>

### App Microflows

<table><thead><tr><th width="182">Option Name</th><th>Details</th></tr></thead><tbody><tr><td>After Startup Microflow</td><td>Regex to match. Default: ASU_.*</td></tr><tr><td>Before Shutdown Microflow</td><td>Regex to match. Default: BSD_.*</td></tr><tr><td>Health Check Microflow</td><td>Regex to match. Default: HCH_.*</td></tr></tbody></table>

### Page-Based Microflows <a href="#id-69.mxom_checks.policycheck.groupbox1_bqr_166_header" id="id-69.mxom_checks.policycheck.groupbox1_bqr_166_header"></a>

<table><thead><tr><th width="182">Option Name</th><th>Details</th></tr></thead><tbody><tr><td>On Enter Event</td><td>Regex to match event. Default: OEN_.*</td></tr><tr><td>On Change Event</td><td>Regex to match event. Default: OCH_.*</td></tr><tr><td>On Leave Event</td><td>Regex to match event. Default: OLE_.*</td></tr><tr><td>Data Source Microflows</td><td>Regex to match event. Default: DS_.*</td></tr><tr><td>Action Button</td><td>Regex to match event. Default: ACT_.*</td></tr><tr><td>Restrict Page Flows</td><td>If TRUE, microflows that match your page-based naming standards may not be called by other microflows.</td></tr></tbody></table>

### Layouts and Snippets <a href="#id-69.mxom_checks.policycheck.groupbox1_bqr_167_header" id="id-69.mxom_checks.policycheck.groupbox1_bqr_167_header"></a>

<table><thead><tr><th width="182">Option Name</th><th>Details</th></tr></thead><tbody><tr><td>Layout for responsive (web)</td><td>Regex to match layout. Default: Responsive_.*</td></tr><tr><td>Layout for tablet (web)</td><td>Regex to match layout. Default: Tablet_.*</td></tr><tr><td>Layout for phone (web)</td><td>Regex to match layout. Default: Phone_.*</td></tr><tr><td>Layout for native phone</td><td>Regex to match layout. Default: NativePhone_.*</td></tr><tr><td>Layout for popup</td><td>Regex to match layout. Default: Popup_.*</td></tr><tr><td>Snippets</td><td>Regex to match snippets. Default: Snippet_.*</td></tr></tbody></table>

### Integration Documents <a href="#id-73.mxom_checks.policycheck.groupbox1_fag_154_header" id="id-73.mxom_checks.policycheck.groupbox1_fag_154_header"></a>

<table><thead><tr><th width="182">Option Name</th><th>Details</th></tr></thead><tbody><tr><td>Import Mapping</td><td>Regex to use for import mappings. Default: IMM_.*</td></tr><tr><td>Export Mapping</td><td>Regex to use for export mappings. Default: EMM_.*</td></tr><tr><td>XML Schema Definition</td><td>Regex to use for XML schema definitions. Default: XSD_.*</td></tr><tr><td>JSON Structure</td><td>Regex to use for JSON structures. Default: JSON_.*</td></tr></tbody></table>

### Navigation & Home Pages <a href="#id-73.mxom_checks.policycheck.groupbox1_fag_155_header" id="id-73.mxom_checks.policycheck.groupbox1_fag_155_header"></a>

<table><thead><tr><th width="182">Option Name</th><th>Details</th></tr></thead><tbody><tr><td>Navigation Microflows</td><td>Regex to use for navigation microflows. Default: NAV_.*</td></tr><tr><td>Default Homepage (desktop)</td><td>Regex to use for the default home page (desktop profile). Default: Home_Desktop_Default</td></tr><tr><td>Default Homepage (tablet)</td><td>Regex to use for the default home page (tablet profile). Default: Home_Tablet_Default</td></tr><tr><td>Default Homepage (mobile)</td><td>Regex to use for the default home page (mobile profile). Default: Home_Phone_Default</td></tr><tr><td>User Role Homepage (desktop)</td><td>Regex to use for the home page for the home page a user role (desktop profile). The variable %UserRole% can be used for the name of the applicable user role. Default: Home_Desktop_%UserRole%</td></tr><tr><td>User Role Homepage (tablet)</td><td>Regex to use for the home page for the home page a user role (tablet profile). The variable %UserRole% can be used for the name of the applicable user role. Default: Home_Tablet_%UserRole%</td></tr><tr><td>User Role Homepage (mobile)</td><td>Regex to use for the home page for the home page for a user role (mobile profile). The variable %UserRole% can be used for the name of the applicable user role. Default: Home_Phone_%UserRole%</td></tr></tbody></table>

### Scheduled Events <a href="#id-73.mxom_checks.policycheck.groupbox1_fag_156_header" id="id-73.mxom_checks.policycheck.groupbox1_fag_156_header"></a>

<table><thead><tr><th width="182">Option Name</th><th>Details</th></tr></thead><tbody><tr><td>Scheduled Event</td><td>Regex to use for scheduled events. Default: SCE_.*</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bluestorm.io/checks/app/app_0013.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
